<?php
# Componente, desplegable para la barra de navegación con los contenidos del menú (i.e. módulos con sus páginas)

require_once 'class/c_login.php';

if (!isset($_SESSION['user'])) {
    header('Location: index.php');
exit;
}
else
    $user = $_SESSION['user'];

$pages = query('SELECT * FROM FS_MODULOS', single: false);
$modules = query('SELECT DISTINCT id, titulo FROM FS_MODULOS', single: false);

?>

<!-- Cuando se le hace click al hamburguer button se despliega un menú en la derecha -->


<div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
        <?php
        foreach ($modules as $module) {
        ?>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <?php echo ucfirst($module['titulo']); ?>
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <?php
                    foreach ($pages as $page)
                        if ($page['id'] == $module['id']) {
                    ?>
                        <a class="dropdown-item" href="<?php echo $page['ruta'] . ".php"; ?>">
                            <?php echo ucfirst(str_replace('_', ' ', $page['ruta'])); ?>
                        </a>
                    <?php
                        }
                    ?>
                </div>
            </li>
        <?php
        }
        ?>
    </ul>
</div>